# LISTA
#
# Notacija: [element1, element2, ...]
#
# Liste mogu sadrzati razlicite tipove podataka
lista = [1,2,3.4,"Another brick in the wall",True,[5,False,4.4,'Layla']]

print "\n------Lista------\n"
print lista

# Prazna lista
prazna = []

# Pristupanje elementima liste
print "\n------Pristupanje elementima liste------\n"
# Indeksiranje elemenata liste
print lista[0]
print lista[3][1]
print lista[0:3]
# Mozemo indeksirati liste unazad, pozicija -1 odgovara poslednjem elementu
print lista[-1]
# Ukoliko pokusama da pristupimo elementu liste
# koji se nalazi na poziciji van opsega interpreter ce nam prijaviti gresku
# IndexError: list index out of range
# print lista[100]

print "\n------Provera da li se element nalazi u listi-----\n"
if 1 in lista:
	print "1 se nalazi u listi\n"

print "\n------Korisne funkcije za rad sa listama------\n"
# Ubacivanje elementa na kraj
print "Ubacivanje elementa na kraj liste\n"
lista.append(3.14)
print lista

# Ubacivanje elementa na odredjenu poziciju u listi
print "\nUbacivanje elementa na odredjenu poziciju u listi\n"
# list.insert(pozicija, element)
lista.insert(2, "Jana")
print lista

#
# Korisne funkcije:
#
# list.remove(x) - izbacuje prvo pojavljivanje elementa x iz liste
# list.count(x) - vraca broj koliko puta se element x nalazi u listi
# list.index(x) - vraca indeks prvog pojavljivanja elementa x u listi
# len(lista) - vraca broj elemenata liste
# del lista[a:b] - brise elemente liste od pozicije a do b
#
# Nadovezvivanje dve liste
print "\n------Nadovezvivanje dve liste------\n"
lista = lista+["Plava", "Zuta", "Crna"]
print lista


# Prolazak kroz listu
print "\n------Prolazak kroz listu petljom <<for>>------\n"
for i in lista:
	print i

# Poredjenje listi
#
# Dve liste se porede tako sto se njihovi elementi porede redom leksikografski
print "\n------Poredjenje listi------\n"
print "[1,2,3] < [1,2,5]"
print [1,2,3] < [1,2,5]
print "\n['abc','abc','abc'] < ['abc', 'ab', 'abcd']"
print ['abc','abc','abc'] < ['abc', 'ab', 'abcd']
print "\n['a','b','c'] > ['a', 'b']"
print ['a','b','c'] > ['a', 'b']


# Koriscenje liste kao stek strukture podataka
stek = [9,8,7]
# Operacija push je implementirana funkcijom append
stek.append(6)
stek.append(5)
print "\n------Ispisujemo stek------\n"
print stek
# Operacija pop je implementirana funkcijom pop
print "\n------Ispisujemo element dobijem funkcijom pop------\n"
print stek.pop()
print "\n------Ispisujemo znanje nakon pozivanja funkcije pop------\n"
print stek
