
# SKUP
#
# Pravljenje skupa od liste
print "\n------Pravljenje skupa od liste------\n"
lista1 = [4,56,34,2,5,6,4,4,6]
skup = set(lista1)

for i in skup:
	print i


# Funkcija <<range>>
#
# range(kraj)
# range(pocetak, kraj[, korak])
print "\n------Funkcija <<range>>------\n"
brojevi = range(10)
for i in brojevi:
	print i

# KATALOG
#
# Katalog je kolekcija uredjenih parova oblika (kljuc, vrednost)
#
# Notacija: {kljuc:vrednost, kljuc:vrednost, ...}
print "\n------Katalog------\n"
prazna_mapa = {} # prazna mapa

mapa1 = {'a' : 3, 'b' : 4, 'c' : 5}

print mapa1

mapa = {"kljuc1":67.7, 6:"Vrednost 2"}

# Pristupanje elementima u mapi
print "\n------Pristupanje elementima u katalogu------\n"
print mapa['kljuc1']

# Prolazak kroz mapu
print "\n------Prolazak kroz katalog------\n"
for kljuc in mapa:
		print "'{0:s}' => {1:s}\n".format(str(kljuc),str(mapa[kljuc]))

# Korisne funkcije
#
# map.keys() - vraca listu kljuceva iz kataloga
# map.values() - vraca listu vrednosti iz kataloga
# map.has_key(kljuc) - vraca True/False u zavisnosti od toga da li se element
# sa kljucem kljuc nalazi u katalogu

# Uredjene N-TORKE
print "\n------Torke------\n"
torka = ("Daffy","Duck",11)

# Pristupanje elementima u torki
print "\n------Pristupanje elementima u torki------\n"
print torka[1]

print "\n------Ispisivanje torke------\n"
print torka

# Poredjenje torki
#
# Dve torke se porede tako sto se njihovi elementi porede redom leksikografski
print "\n------Poredjenje torki------\n"
print "(1,2,'a') < (1,2,'b')"
print (1,2,'a') < (1,2,'b')
print "\n([1,2,3], 'Bugs', 4) < ([1,1,1], 'Bunny', 6)"
print ([1,2,3], 'Bugs', 4) < ([1,1,1], 'Bunny', 6)
# Ukoliko torke ne sadrze elemente istog tipa na istim pozicijama, i dalje ih mozemo porediti,
# ali poredjenje se vrsi na osnovu imena tipa elementa leksikografski
# npr.  element tipa List < element tipa String < element tipa Tuple i slicno
print "\n(1,2,['a','b']) < (1,2,'ab')"
print (1,2,['a','b']) < (1,2,'ab')
